Bug 371461 - Review Request: fuseiso - FUSE support for ISO filesystem images
Review Request: fuseiso - FUSE support for ISO filesystem images
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 11:42 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 17:23:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-11-08 11:42:32 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/fuseiso.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/fuseiso-20070708-1.fc8.src.rpm

Description: 
Mount ISO filesystem images as a non-root user. Currently supports
plain ISO9660 Level 1 and 2, Rock Ridge, Joliet, zisofs. Supported image
types: ISO, BIN (single track only), NRG, MDF, IMG (CCD).
Comment 1 Parag AN(पराग) 2007-11-13 01:53:02 EST
1)how about changing source URL as
http://ubiz.ru/dm/%{name}-%{version}.tar.bz2

2) Good to have defattr usage as
%defattr(-,root,root,-)

3) missing BR: zlib-devel
Comment 2 Tom "spot" Callaway 2007-11-14 09:45:56 EST
New Spec URL: http://www.auroralinux.org/people/spot/review/new/fuseiso.spec
New SRPM URL:
http://www.auroralinux.org/people/spot/review/new/fuseiso-20070708-2.fc9.src.rpm

All three items fixed (although #2 is a bit pointless, since - in the last
position is the same as keeping it blank).
Comment 3 Parag AN(पराग) 2007-11-14 23:17:22 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4bb50412b6d01f337565e28afddca3a5  fuseiso-20070708.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package fuseiso-20070708-2.fc8 ->
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libdl.so.2 libfuse.so.2 libfuse.so.2(FUSE_2.5)
libglib-2.0.so.0 libpthread.so.0 libpthread.so.0(GLIBC_2.0)
libpthread.so.0(GLIBC_2.2) librt.so.1 libz.so.1 rtld(GNU_HASH)
+ Not a GUI App.
APPROVED.
Comment 4 Tom "spot" Callaway 2007-11-20 17:23:49 EST
CVS done, builds away! Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.